<Manage::FieldContainer
  @title={{@title}}
  @isDisabled={{@isDisabled}}
  @isSaveDisabled={{this.isDisabled}}
  @editablePanel={{@editablePanel}}
  @onEdit={{@onEdit}}
  @onSave={{this.save}}
  @onCancel={{this.cancel}}
  ...attributes
>
  <:view>
    <QuestionsView @value={{this.viewQuestions}} />

    {{#unless this.viewQuestions}}
      <div class="alert alert-warning">
        {{t "question-message.no-user-questions"}}
      </div>
    {{/unless}}
  </:view>

  <:edit>
    <Input::Questions @value={{this.questions}} @onChange={{this.changeValue}} />
  </:edit>
</Manage::FieldContainer>